## Index

### Functions

- buildDefaultExpression
- buildUpdateExpression
- isNoAttributeValueAction
- validateAttributeType

## Functions

### buildDefaultExpression

- buildDefaultExpression(attributePath: string, namePlaceholder: string, valuePlaceholder: string, attributeNames: Record<string, string>, values: any[], existingValueNames: string[] | undefined, propertyMetadata: PropertyMetadata<any> | undefined, operator: UpdateActionDef): UpdateExpression

- - Defined in dynamo/expression/update-expression-builder.ts:63

  #### Parameters

  - ##### attributePath: string

  - ##### namePlaceholder: string

  - ##### valuePlaceholder: string

  - ##### attributeNames: Record<string, string>

  - ##### values: any[]

  - ##### existingValueNames: string[] | undefined

  - ##### propertyMetadata: PropertyMetadata<any> | undefined

  - ##### operator: UpdateActionDef

  #### Returns UpdateExpression

### buildUpdateExpression

- buildUpdateExpression(attributePath: string, operation: UpdateActionDef, values: any[], existingValueNames: string[] | undefined, metadata: Metadata<any> | undefined): UpdateExpression

- - Defined in dynamo/expression/update-expression-builder.ts:21

  Will create a condition which can be added to a request using the param object. It will create the expression statement and the attribute names and values.

  #### Parameters

  - ##### attributePath: string

  - ##### operation: UpdateActionDef

  - ##### values: any[]

    Depending on the operation the amount of values differs

  - ##### existingValueNames: string[] | undefined

    If provided the existing names are used to make sure we have a unique name for the current attributePath

  - ##### metadata: Metadata<any> | undefined

    If provided we use the metadata to define the attribute name and use it to map the given value(s) to attributeValue(s)

  #### Returns UpdateExpression

### isNoAttributeValueAction

- isNoAttributeValueAction(action: UpdateAction): boolean

- - Defined in dynamo/expression/update-expression-builder.ts:134

  #### Parameters

  - ##### action: UpdateAction

  #### Returns boolean

### validateAttributeType

- validateAttributeType(name: string, attribute: Attribute | null, ...allowedTypes: AttributeType[]): void

- - Defined in dynamo/expression/update-expression-builder.ts:142

  #### Parameters

  - ##### name: string

  - ##### attribute: Attribute | null

  - ##### Rest ...allowedTypes: AttributeType[]

  #### Returns void

Generated using TypeDoc